View Issue Details

IDProjectCategoryView StatusLast Update
15879Bug reportsPluginspublic2020-02-24 17:31
Reportergabrieljenik Assigned Toollehar  
PriorityurgentSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.1.1 
Summary15879: Plugin menu events not implemented in V4
Description

The following events does'nt seem to be implemented on LSv4 yet.
https://manual.limesurvey.org/BeforeToolsMenuRender
https://manual.limesurvey.org/BeforeSurveyBarRender

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 4.1.4+200214
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMysql
Server OS (if known)
Webserver software & version (if known)
PHP Version7

Activities

Mazi

Mazi

2020-02-17 09:38

partner   ~56042

@cdorin, please let us know why previously supported plugin events are suddenly not supported at Limesurvey 4 anymore. This is a regression which can break systems/pluigns if someone updates to LS 4.

ollehar

ollehar

2020-02-17 11:14

administrator   ~56045

Last edited: 2020-02-17 11:14

View 2 revisions

Related to moving views from PHP/Twig to VueJS.

ollehar

ollehar

2020-02-17 11:45

administrator   ~56054

Maybe refit the events by pushing buttons to VueJS using Ajax?

ollehar

ollehar

2020-02-17 17:59

administrator   ~56059

Commits are in branch bug/15879-plugin-menu-events-not-implemented-in-V4

ollehar

ollehar

2020-02-17 17:59

administrator   ~56060

Please test

gabrieljenik

gabrieljenik

2020-02-19 15:55

partner   ~56097

Worked out good! Thanks

ollehar

ollehar

2020-02-20 17:05

administrator   ~56110

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29606

lime_release_bot

lime_release_bot

2020-02-24 17:31

administrator   ~56185

Fixed in Release 4.1.7+200224

Related Changesets

LimeSurvey: master a9525cdd

2020-02-17 16:33:18

ollehar

Details Diff
Fixed issue 15879: Plugin menu events not implemented in V4 Affected Issues
15879
mod - application/controllers/admin/surveyadmin.php Diff File
mod - application/core/Survey_Common_Action.php Diff File
mod - application/views/admin/survey/topbar/survey_topbar.php Diff File

LimeSurvey: master fe349f0a

2020-02-17 17:28:51

ollehar

Details Diff
Fixed issue 15879: Plugin menu events not implemented in V4 Affected Issues
15879
mod - application/controllers/admin/surveyadmin.php Diff File
mod - application/views/admin/survey/topbar/survey_topbar.php Diff File

Issue History

Date Modified Username Field Change
2020-02-14 16:32 gabrieljenik New Issue
2020-02-15 14:14 cdorin Assigned To => cdorin
2020-02-15 14:14 cdorin Status new => assigned
2020-02-17 09:38 Mazi Note Added: 56042
2020-02-17 11:14 ollehar Note Added: 56045
2020-02-17 11:14 ollehar Note Edited: 56045 View Revisions
2020-02-17 11:44 ollehar Priority none => urgent
2020-02-17 11:45 ollehar Note Added: 56054
2020-02-17 17:59 ollehar Status assigned => testing
2020-02-17 17:59 ollehar Note Added: 56059
2020-02-17 17:59 ollehar Note Added: 56060
2020-02-19 15:55 gabrieljenik Note Added: 56097
2020-02-20 17:05 ollehar Changeset attached => LimeSurvey master fe349f0a
2020-02-20 17:05 ollehar Changeset attached => LimeSurvey master a9525cdd
2020-02-20 17:05 ollehar Note Added: 56110
2020-02-20 17:05 ollehar Assigned To cdorin => ollehar
2020-02-20 17:05 ollehar Resolution open => fixed
2020-02-24 14:48 ollehar Status testing => resolved
2020-02-24 17:31 lime_release_bot Note Added: 56185
2020-02-24 17:31 lime_release_bot Status resolved => closed